
package org.eclipse.birt.report.tests.engine.regression;

import org.eclipse.birt.report.tests.engine.EngineCase;

/**
 * <b>Bug description</b>
 * <p>
 * Java based scripting, textItemInstance.getText( ) returns null in onCreate
 * event
 * <p>
 * <b>Test description:</b>
 * <p>
 * This test makes sure that textItemInstance.getText() returns corresponding
 * text.
 */

public class Regression_139371 extends EngineCase
{

	private final static String INPUT = "regression_139371.rptdesign";
	private final static String OUTPUT = "regression_139371.html";

	public void test_Regression_139371( ) throws Exception
	{
		runAndRender_HTML( INPUT, OUTPUT );

		Object obj = super.engineTask.getAppContext( ).get( "textItem" );

		assertNotNull( "getText() return null.", (String) obj );

	}
}
